@import url('https://fonts.googleapis.com/css2?family=PT+Sans&display=swap');
/*General--------------------------------------------------------------------------------------------------------------*/

.container-fluid {
    font-family: 'PT Sans', serif;
    font-weight: bold !important;
    background-color: white;
}

.formbg {
    background-color: #E8E8E8 !important;
    font-style: italic !important;
    font-weight: bold !important;
    color: #8B8B8B !important;
    padding: 1% 1% 1% 1% !important;
    box-sizing: border-box;
    border-radius: 6px;
    font-size: 0.8vw !important;
}

.form2 {
    width: 321px !important;
    height: 40px !important;
}

.registerbutton {
    border-radius: 150px !important;
    color: white !important;
    background-color: black !important;
    border: none !important;
    font-size: 0.8vw !important;
    width: 8vw !important;
    height: 4vh !important;
}
.registerbutton:hover {
    background: #303030 !important;
}

.title1 {
    font-weight: bold !important;
    color: #587896;
    font-size: 1.6vw !important;
}

.title2 {
    font-size: 30px;
    line-height: 39px;
    font-weight: bold;
}

.title3 {
    color: #587896;
}

.Button {
    border: unset !important;
}

body {
    background-color: #E5E5E5 !important;
}

.header-bg {
    background-color: white;
}

/*Login--------------------------------------------------------------------------------------------------------------*/

.Login {
    margin-top: 25vh;
    border: 1px solid #E8E8E8 !important;
    box-sizing: border-box;
    font-family: 'PT Sans', serif;
    background-color: white;
    width: 449px !important;
    height: 526px !important;

}

.logintitle {
    font-weight: bold !important;
    color: #587896;
    padding-bottom: 2%;
    padding-top: 7%;
}

.logintitle2 {
    font-weight: bold !important;
    color: #000000;
    padding-top: 7%;
    padding-bottom: 7%;
}

.line {
    border-bottom: #E8E8E8 1px solid;
    margin-left: 25%;
}

.button1 {
    background-color: #587896 !important;
    font-style: normal !important;
    font-size: 0.8vw !important;
    width: 8vw !important;
    height: 4vh !important;
    border-radius: 150px !important;
}

/*Header--------------------------------------------------------------------------------------------------------------*/

.publish-button {
    background-color: #587896 !important;
    width: 8vw !important;
    height: 4vh !important;
    border-radius: 150px !important;
    font-style: normal!important;
    font-weight: bold!important;
    font-size: 0.8vw !important;
    line-height: 16px!important;
}
.publish-button:hover{
    background: #303030 !important;
}

.logout-button {
    border: 3px solid #D4D4D4 !important;
    background-color: #FFFFFF !important;
    border-radius: 50px !important;
    color: black !important;
    width: 8vw !important;
    height: 4vh !important;
    font-style: normal!important;
    font-weight: bold!important;
    font-size: 0.8vw !important;
    line-height: 16px!important;
}
.logout-button:hover {
    border: 3px solid #000000!important;
}

/*Main--------------------------------------------------------------------------------------------------------------*/

.buttonlist {
    background-color: #587896 !important;
    border: unset !important;
    font-weight: bold;
    width: 100px !important;
    height: 80px !important;
    font-size: 0.8vw !important;
    border-radius: 6px!important;
}
.buttonlist:hover {
    background-color: #303030!important;
}

.lesson-name {
    padding-bottom: 2%;
    border-bottom: 1px solid #E8E8E8;
}

/*Contenu--------------------------------------------------------------------------------------------------------------*/

.size {
    height: 289px !important;
}

textarea {
    resize: none !important;
    border: 1px solid #D4D4D4;
    height: 248px!important;
}

.dropzone-img {
    font-style: italic;
    font-weight: bold;
    font-size: 0.8vw !important;
    color: #8B8B8B;
    cursor: pointer;
}

.text1 {
    font-weight: bold;
    font-size: 0.8vw !important;
}

.position-img {
    margin-left: 13vh;
    padding-left: 22px;
}

.color-font {
    margin-left: 10px !important;
    background-color: #E8E8E8;
    border-radius: 2px;
    border: 1px solid #D4D4D4;
    box-sizing: border-box;
}



/*Quizz--------------------------------------------------------------------------------------------------------------*/

.line2 {
    border-bottom: 1px solid #E8E8E8;
}

.addbutton {
    background-color: #587896 !important;
    font-style: normal;
    width: 12vw !important;
    height: 4vh !important;
    border-radius: 150px !important;
    font-size: 0.8vw !important;
}
.addbutton:hover{
    background-color: #303030!important;
}

.checkbox {
    font-style: normal;
    font-weight: bold;
}

/* N'affiche pas le checkbox d'origine*/
input[type="checkbox"] {
    display: none;
}

/* Text*/
input[type="checkbox"] + label {
    font-weight: bold;
}

/* Carré checkbox*/
label::before {
    content: "";
    border: 1px solid #E8E8E8;
    border-radius: 2px;
    background-color: white;
    padding-right: 20px;
    margin-right: 5px;
    margin-left: 15px;
}

input[type="checkbox"]:checked + label::before {
    background-color: black;
    border-color: black;
}

input[type="checkbox"]:checked + label {
    color: black;
}

/*Video--------------------------------------------------------------------------------------------------------*/

.dropbox {
    border-Color: #D4D4D4;
    border-style: dashed;
    transition: border .24s ease-in-out;
    box-sizing: border-box;
    height: 22vh;
}

.dropboxtext {
    font-size: 0.8vw !important;
}


